%define module	Image-Imlib2
%define name	perl-%{module}
%define version	1.04
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Interface to the Imlib2 image library
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Buildrequires:	perl-devel
Buildrequires:	perl-Module-Build
Buildrequires:	imlib2-devel

%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does image file
loading and saving as well as manipulation, arbitrary polygon support, etc. It
does ALL of these operations FAST. It allows you to create colour images using
a large number of graphics primitives, and output the images in a range of
formats.

Image::Imlib2::Polygon and Image::Imlib2::ColorRange are described following
Image::Imlib2 but may be referenced before their description.

Note that this is an early version of my attempt at a Perl interface to Imlib2.
Currently, the API is just to test things out. Not everything is supported, but
a great deal of functionality already exists. If you think the API can be
tweaked to be a bit more intuitive, drop me a line!

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/Image
%{_mandir}/*/*

%changelog
* Fri Feb 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-1mdk 
- new version
- re-enable test

* Wed Jan 26 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-3mdk 
- rebuild for new imlib2
- fix url
- rpmbuildupdate aware
- disable test, seems broken

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-2mdk 
- rebuild for new perl

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.02-1mdk
- 1.02

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-2mdk
- fixed dir ownership (distlint)

* Sun Dec 07 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-1mdk
- first mdk release
